package com.comandante.creeper.merchant;


import com.comandante.creeper.Items.Loot;
import com.comandante.creeper.managers.GameManager;
import com.comandante.creeper.server.Color;

import java.util.Arrays;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

import static com.comandante.creeper.server.Color.BOLD_ON;

public class Blacksmith extends Merchant {
    private final static long phraseIntervalMs = 300000;
    private final static String NAME = "biggers the blacksmith";
    private final static String welcomeMessage = "  ____  _                                              \r\n" +
            " | __ )(_) __ _  __ _  ___ _ __ ___                    \r\n" +
            " |  _ \\| |/ _` |/ _` |/ _ \\ '__/ __|                   \r\n" +
            " | |_) | | (_| | (_| |  __/ |  \\__ \\                   \r\n" +
            " |____/|_|\\__, |\\__, |\\___|_|  |___/                   \r\n" +
            "     ____ |___/ |___/   _                  _ _   _     \r\n" +
            "    | __ )| | __ _  ___| | _____ _ __ ___ (_) |_| |__  \r\n" +
            "    |  _ \\| |/ _` |/ __| |/ / __| '_ ` _ \\| | __| '_ \\ \r\n" +
            "    | |_) | | (_| | (__|   <\\__ \\ | | | | | | |_| | | |\r\n" +
            "    |____/|_|\\__,_|\\___|_|\\_\\___/_| |_| |_|_|\\__|_| |_|\r\n" +
            "                                                       ";
    private final static Set<String> validTriggers = new HashSet<String>(Arrays.asList(new String[]
                    {"blacksmith", "biggers the blacksmith", "biggers", NAME}
    ));

    private final static String colorName = BOLD_ON + Color.CYAN + NAME  + Color.RESET ;

    public Blacksmith(GameManager gameManager, Loot loot, Map<Integer, MerchantItemForSale> merchantItemForSales) {
        super(gameManager, NAME, colorName, validTriggers, merchantItemForSales, welcomeMessage);
    }
}
